[
  {
    "function": "minecraft:set_components",
    "components": {
      "minecraft:base_color": "black",
      "minecraft:banner_patterns": [
        {
          "pattern": "minecraft:bricks",
          "color": "brown"
        },
        {
          "pattern": "minecraft:half_horizontal_bottom",
          "color": "purple"
        },
        {
          "pattern": "minecraft:stripe_middle",
          "color": "purple"
        },
        {
          "pattern": "minecraft:stripe_downleft",
          "color": "purple"
        },
        {
          "pattern": "minecraft:stripe_right",
          "color": "purple"
        },
        {
          "pattern": "minecraft:mojang",
          "color": "white"
        }
      ],
      "minecraft:custom_data": "{replaced:1}"
    }
  }
]
